<?php

/**
 * Include all ACF fields/options through this file
 */

if( function_exists('acf_add_local_field_group') ):

acf_add_local_field_group(array(
	'key' => 'group_5514864997520',
	'title' => 'Fullwidth Slider',
	'fields' => array(
		array(
			'key' => 'field_54bce505c530b',
			'label' => 'Slide content',
			'name' => 'slide',
			'type' => 'repeater',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'collapsed' => '',
			'min' => 0,
			'max' => 0,
			'layout' => 'block',
			'button_label' => 'Add Slide',
			'sub_fields' => array(
				array(
					'key' => 'field_55b0de6d47227',
					'label' => 'Main heading',
					'name' => 'slide_main_heading',
					'type' => 'text',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '100',
						'class' => 'slide-heading-style',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'maxlength' => '',
				),
				array(
					'key' => 'field_55ca06f5b822d',
					'label' => 'Text',
					'name' => 'slide_text',
					'type' => 'textarea',
					'instructions' => '',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '50',
						'class' => 'slide-field-height',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'maxlength' => '',
					'rows' => 5,
					'new_lines' => 'br',
				),
				array(
					'key' => 'field_54bce55fc530e',
					'label' => 'Buttons',
					'name' => 'slide_buttons',
					'type' => 'wysiwyg',
					'instructions' => 'Button shortcode examples:
[button link="#"]Text[/button]
[button link="#" style="regular"]Text 2[/button]',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '50',
						'class' => 'wisywig-height',
						'id' => '',
					),
					'default_value' => '',
					'tabs' => 'text',
					'toolbar' => 'basic',
					'media_upload' => 0,
					'delay' => 0,
				),
				array(
					'key' => 'field_54bce51dc530c',
					'label' => 'Image',
					'name' => 'slide_image',
					'type' => 'image',
					'instructions' => 'Recommended image size: 1920x780px.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '50',
						'class' => 'slide-field-height',
						'id' => '',
					),
					'return_format' => 'id',
					'preview_size' => 'thumbnail',
					'library' => 'all',
					'min_width' => '',
					'min_height' => '',
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => '',
					'mime_types' => '',
				),
				array(
					'key' => 'field_5bb76214c863e',
					'label' => 'Image Mobile',
					'name' => 'slide_image_mobile',
					'type' => 'image',
					'instructions' => 'Image optimized for mobile devices. Recommended size: 400x780px.',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '50',
						'class' => 'slide-field-height',
						'id' => '',
					),
					'return_format' => 'id',
					'preview_size' => 'thumbnail',
					'library' => 'all',
					'min_width' => '',
					'min_height' => '',
					'min_size' => '',
					'max_width' => '',
					'max_height' => '',
					'max_size' => '',
					'mime_types' => '',
				),
				array(
					'key' => 'field_59da9b47046ac',
					'label' => 'Slide Overlay Color',
					'name' => 'slide_overlay_color',
					'type' => 'color_picker',
					'instructions' => 'Select overlay color',
					'required' => 0,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '50',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
				),
				array(
					'key' => 'field_59da9b6c046ad',
					'label' => 'Slide Overlay Opacity',
					'name' => 'slide_overlay_opacity',
					'type' => 'number',
					'instructions' => 'Select overlay opacity from 1 to 100%.',
					'required' => 0,
					'conditional_logic' => array(
						array(
							array(
								'field' => 'field_5aabc9596711e',
								'operator' => '!=',
								'value' => 'style-4',
							),
						),
					),
					'wrapper' => array(
						'width' => '50',
						'class' => '',
						'id' => '',
					),
					'default_value' => '',
					'placeholder' => '',
					'prepend' => '',
					'append' => '',
					'min' => 1,
					'max' => 100,
					'step' => 1,
				),
				array(
					'key' => 'field_5abcc4bbe4d15',
					'label' => 'Slider Headline Font Size',
					'name' => 'slider_headline_font_size',
					'type' => 'radio',
					'instructions' => 'Choose small, medium or large headline font size.',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '33',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						'large' => 'Large',
						'medium' => 'Medium',
						'small' => 'Small',
					),
					'allow_null' => 0,
					'other_choice' => 0,
					'default_value' => 'large',
					'layout' => 'horizontal',
					'return_format' => 'value',
					'save_other_choice' => 0,
				),
				array(
					'key' => 'field_5aec76fc8bd4e',
					'label' => 'Animation style',
					'name' => 'slide_animation_style',
					'type' => 'select',
					'instructions' => 'Select slide content animation style',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '33',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						'style-1' => 'Style 1',
						'style-2' => 'Style 2',
						'style-3' => 'Style 3',
						'style-4' => 'Style 4',
					),
					'default_value' => array(
						0 => 'style-1',
					),
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
				array(
					'key' => 'field_5bb762b3c863f',
					'label' => 'Color Scheme',
					'name' => 'slide_text_color',
					'type' => 'select',
					'instructions' => 'Use dark or light text color on a slide.',
					'required' => 1,
					'conditional_logic' => 0,
					'wrapper' => array(
						'width' => '33',
						'class' => '',
						'id' => '',
					),
					'choices' => array(
						'light' => 'Light',
						'dark' => 'Dark',
					),
					'default_value' => array(
						0 => 'light',
					),
					'allow_null' => 0,
					'multiple' => 0,
					'ui' => 0,
					'return_format' => 'value',
					'ajax' => 0,
					'placeholder' => '',
				),
			),
		),
		array(
			'key' => 'field_5aabc9596711e',
			'label' => 'Slider Layout Style',
			'name' => 'slider_layout_style',
			'type' => 'radio',
			'instructions' => 'Select slider layout style',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'style-1' => 'Fullwidth, Text Center',
				'style-3' => 'Fullwidth, Text left',
				'style-4' => 'Halved Angular',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'save_other_choice' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_54c7832068bbc',
			'label' => 'Auto Cycle',
			'name' => 'auto_cycle',
			'type' => 'true_false',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'message' => 'Automatically cycle slider',
			'default_value' => 1,
			'ui' => 0,
			'ui_on_text' => '',
			'ui_off_text' => '',
		),
		array(
			'key' => 'field_54c7833568bbd',
			'label' => 'Slide Interval',
			'name' => 'slide_interval',
			'type' => 'number',
			'instructions' => 'Cycle interval (1s = 1000ms)',
			'required' => 1,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_54c7832068bbc',
						'operator' => '==',
						'value' => '1',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 6000,
			'placeholder' => '',
			'prepend' => '',
			'append' => 'ms',
			'min' => '',
			'max' => '',
			'step' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array(
			'key' => 'field_5a60c213f42e1',
			'label' => 'Slide Transition Animation',
			'name' => 'slider_transition_animation',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => 'Slide (Default)',
				'fade' => 'Fade',
			),
			'default_value' => array(
				0 => 'default',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array(
			'key' => 'field_5b89406654a8c',
			'label' => 'Show Grid Lines',
			'name' => 'show_grid_lines',
			'type' => 'select',
			'instructions' => 'Display grid lines',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'yes' => 'Yes',
				'no' => 'No',
			),
			'default_value' => array(
				0 => 'yes',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5b922b14bbd44',
			'label' => 'Show Numerical Indicators',
			'name' => 'show_slide_indicators',
			'type' => 'select',
			'instructions' => 'Show or hide numerical slide indicators',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'show' => 'Show',
				'hide' => 'Hide',
			),
			'default_value' => array(
				0 => 'show',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5bab8090d67e3',
			'label' => 'Show Dotted Indicators',
			'name' => 'show_dotted_indicators',
			'type' => 'select',
			'instructions' => 'Show or hide dotted slide indicators',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'no' => 'No',
				'yes' => 'Yes',
			),
			'default_value' => array(
				0 => 'no',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5bab80d1d67e4',
			'label' => 'Indicators Bottom Position',
			'name' => 'indicators_bottom_position',
			'type' => 'select',
			'instructions' => 'Use 80px if content below slider is overlapped. Default value is 30px.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5bab8090d67e3',
						'operator' => '==',
						'value' => 'yes',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				30 => '30px (For default layout)',
				80 => '80px (For overlapped content)',
			),
			'default_value' => array(
				0 => 80,
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'page_template',
				'operator' => '==',
				'value' => 'page-slider.php',
			),
		),
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'portfolio',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5ae63755dc8be',
	'title' => 'Padding Settings',
	'fields' => array(
		array(
			'key' => 'field_5ae63769d45fa',
			'label' => 'Top Padding for page content',
			'name' => 'content_padding_top',
			'type' => 'radio',
			'instructions' => 'Select top padding for page content',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => 'Default',
				120 => '120px',
				80 => '80px',
				0 => '0',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5ae638a8d45fb',
			'label' => 'Bottom Padding for page content',
			'name' => 'content_padding_bottom',
			'type' => 'radio',
			'instructions' => 'Select bottom padding for page content',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => 'Default',
				120 => '120px',
				80 => '80px',
				0 => '0',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => '',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'portfolio',
			),
		),
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'page',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5b8fb7a82746c',
	'title' => 'Page Color Scheme',
	'fields' => array(
		array(
			'key' => 'field_5b8fb7c4e9cce',
			'label' => 'Body Color Scheme',
			'name' => 'body_color_scheme',
			'type' => 'select',
			'instructions' => 'Select light or dark color scheme for the page. If set to default, the scheme is used from Customizer settings.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => 'Default',
				'body-light' => 'Light',
				'body-dark' => 'Dark',
			),
			'default_value' => array(
				0 => 'default',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post',
			),
		),
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'page',
			),
		),
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'product',
			),
		),
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'portfolio',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_57dbcbdae6faa',
	'title' => 'Page Title & Subtitle Settings',
	'fields' => array(
		array(
			'key' => 'field_5a964d739746c',
			'label' => 'Show top content area',
			'name' => 'show_top_content_area',
			'type' => 'radio',
			'instructions' => 'Show or hide whole top content area.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => 'Default',
				'yes' => 'Yes',
				'no' => 'No',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'default',
			'layout' => 'horizontal',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
		array(
			'key' => 'field_5ae4366ce44d0',
			'label' => 'Size',
			'name' => 'top_content_area_size',
			'type' => 'select',
			'instructions' => 'Select from different top content area heights: small, medium, large',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => 'Default',
				'small' => 'Small',
				'medium' => 'Medium',
				'large' => 'Large',
			),
			'default_value' => array(
				0 => 'default',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_5ae4398067562',
			'label' => 'Text alignment',
			'name' => 'tca_text_alignment',
			'type' => 'select',
			'instructions' => 'Select left, centered or right text alignment.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => 'Default',
				'center' => 'Center',
				'left' => 'Left',
				'right' => 'Right',
			),
			'default_value' => array(
				0 => 'default',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
		array(
			'key' => 'field_57dbce4c19a19',
			'label' => 'Page Subtitle',
			'name' => 'subtitle_header',
			'type' => 'text',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5a964d739746c',
						'operator' => '==',
						'value' => 'yes',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_57dbcd7319a16',
			'label' => 'Custom Page Title',
			'name' => 'custom_page_title',
			'type' => 'text',
			'instructions' => 'Enter custom page title. If empty, uses default page title.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_57dbce7019a1a',
			'label' => 'Body Text',
			'name' => 'subtitle_body_text',
			'type' => 'textarea',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5a964d739746c',
						'operator' => '==',
						'value' => 'yes',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
		),
		array(
			'key' => 'field_587cc978055f3',
			'label' => 'Image or Video Background Type',
			'name' => 'background_type',
			'type' => 'radio',
			'instructions' => 'Choose Background Type: Image or Video',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'image' => 'Image',
				'video' => 'Video',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'save_other_choice' => 0,
			'default_value' => 'image',
			'layout' => 'horizontal',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_5870ebae37031',
			'label' => 'Background Image',
			'name' => 'title_background_image',
			'type' => 'image',
			'instructions' => 'Upload custom title background image.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587cc978055f3',
						'operator' => '==',
						'value' => 'image',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'return_format' => 'array',
			'preview_size' => 'medium',
			'library' => 'all',
			'min_width' => '',
			'min_height' => '',
			'min_size' => '',
			'max_width' => '',
			'max_height' => '',
			'max_size' => '',
			'mime_types' => '',
		),
		array(
			'key' => 'field_587cc938055f2',
			'label' => 'Video Background',
			'name' => 'video_background',
			'type' => 'oembed',
			'instructions' => 'Video background instead of image',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587cc978055f3',
						'operator' => '==',
						'value' => 'video',
					),
				),
			),
			'wrapper' => array(
				'width' => '1920',
				'class' => '',
				'id' => '',
			),
			'width' => '',
			'height' => '',
		),
		array(
			'key' => 'field_58b4008493ff0',
			'label' => 'Video Height',
			'name' => 'video_height',
			'type' => 'number',
			'instructions' => 'Default is 625px;',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587cc978055f3',
						'operator' => '==',
						'value' => 'video',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => 625,
			'placeholder' => 625,
			'prepend' => '',
			'append' => '',
			'min' => 100,
			'max' => 1080,
			'step' => 1,
		),
		array(
			'key' => 'field_5ae4bfb11a34d',
			'label' => 'Video Playlist',
			'name' => 'video_playlist',
			'type' => 'text',
			'instructions' => 'To loop the video, create a YouTube playlist with just 1 video and insert the playlist ID.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_587cc978055f3',
						'operator' => '==',
						'value' => 'video',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
		),
		array(
			'key' => 'field_59da89af2eff1',
			'label' => 'Background Overlay Color',
			'name' => 'background_overlay_color',
			'type' => 'color_picker',
			'instructions' => 'Select background overlay color',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
		),
		array(
			'key' => 'field_59da89f62eff2',
			'label' => 'Background Overlay Opacity',
			'name' => 'background_overlay_opacity',
			'type' => 'number',
			'instructions' => 'Set the overlay opacity from 0 to 100%.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'min' => 0,
			'max' => 100,
			'step' => 1,
		),
		array(
			'key' => 'field_5b893492086bb',
			'label' => 'Display Breadcrumbs',
			'name' => 'display_breadcrumbs',
			'type' => 'select',
			'instructions' => 'Show or hide breadcrumbs on the page.',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => 'Default',
				'display' => 'Display',
				'hide' => 'Hide',
			),
			'default_value' => array(
				0 => 'default',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post',
			),
		),
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'page',
			),
			array(
				'param' => 'page_template',
				'operator' => '!=',
				'value' => 'page-slider.php',
			),
		),
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post',
			),
		),
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post',
			),
		),
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'testimonial',
			),
		),
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'portfolio',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5b89241bd0f08',
	'title' => 'Post Settings',
	'fields' => array(
		array(
			'key' => 'field_5b89244a01ee9',
			'label' => 'Post Layout',
			'name' => 'post_layout',
			'type' => 'select',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => 'Default',
				'standard' => 'Standard',
				'overlapped' => 'Overlapped',
				'overlapped-2' => 'Overlapped Large',
			),
			'default_value' => array(
				0 => 'default',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_5b8925b1206dd',
	'title' => 'Project Settings',
	'fields' => array(
		array(
			'key' => 'field_5b89421c6343d',
			'label' => 'Display Next & Previous Projects',
			'name' => 'display_next_previous_nav',
			'type' => 'select',
			'instructions' => '',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'yes' => 'Yes',
				'no' => 'No',
			),
			'default_value' => array(
				0 => 'yes',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'portfolio',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_587f382a7301e',
	'title' => 'Projects Settings',
	'fields' => array(
		array(
			'key' => 'field_5abd3b2198e07',
			'label' => 'Gallery Style',
			'name' => 'gallery_style',
			'type' => 'select',
			'instructions' => '',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'style-1' => 'Style 1: Wide layout, Fluid items',
				'style-2' => 'Style 2: Boxed layout, Spaced items',
				'style-3' => 'Style 3: Boxed layout, Cards',
				'style-4' => 'Style 4: Boxed layout, Cards V2',
				'style-5' => 'Style 5: Wide layout, Vertical items',
				'style-6' => 'Style 6: Wide layout, Spaced items',
				'style-7' => 'Style 7: Wide layout, Cards',
				'style-8' => 'Style 8: Wide layout, Cards V2',
			),
			'default_value' => array(
				0 => 'style-1',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array(
			'key' => 'field_5abd4048b8899',
			'label' => 'Gallery Color Scheme',
			'name' => 'gallery_color_scheme',
			'type' => 'select',
			'instructions' => 'Select Dark or Light gallery color scheme',
			'required' => 1,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'light' => 'Light',
				'dark' => 'Dark',
			),
			'default_value' => array(
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'ajax' => 0,
			'return_format' => 'value',
			'placeholder' => '',
		),
		array(
			'key' => 'field_587f38b5d987e',
			'label' => 'Number of Columns:',
			'name' => 'column_count',
			'type' => 'radio',
			'instructions' => 'Select the number of columns',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				2 => '2',
				3 => '3',
				4 => '4',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'save_other_choice' => 0,
			'default_value' => 3,
			'layout' => 'horizontal',
			'return_format' => 'label',
		),
		array(
			'key' => 'field_59c5447cb5bae',
			'label' => 'Show Projects Filters',
			'name' => 'show_gallery_filters',
			'type' => 'radio',
			'instructions' => 'Show or hide project filters',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'yes' => 'Yes',
				'no' => 'No',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'save_other_choice' => 0,
			'default_value' => 'yes',
			'layout' => 'horizontal',
			'return_format' => 'value',
		),
		array(
			'key' => 'field_5ba22716a65e4',
			'label' => 'Image Size',
			'name' => 'image_size',
			'type' => 'select',
			'instructions' => 'Set vertical image format instead of horizontal.',
			'required' => 0,
			'conditional_logic' => array(
				array(
					array(
						'field' => 'field_5abd3b2198e07',
						'operator' => '==',
						'value' => 'style-1',
					),
				),
				array(
					array(
						'field' => 'field_5abd3b2198e07',
						'operator' => '==',
						'value' => 'style-2',
					),
				),
				array(
					array(
						'field' => 'field_5abd3b2198e07',
						'operator' => '==',
						'value' => 'style-3',
					),
				),
				array(
					array(
						'field' => 'field_5abd3b2198e07',
						'operator' => '==',
						'value' => 'style-4',
					),
				),
				array(
					array(
						'field' => 'field_5abd3b2198e07',
						'operator' => '==',
						'value' => 'style-6',
					),
				),
			),
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => 'Default',
				'vertical' => 'Vertical',
			),
			'default_value' => array(
				0 => 'default',
			),
			'allow_null' => 0,
			'multiple' => 0,
			'ui' => 0,
			'return_format' => 'value',
			'ajax' => 0,
			'placeholder' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'page_template',
				'operator' => '==',
				'value' => 'page-projects.php',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_57e1490e7c079',
	'title' => 'Sidebar Position',
	'fields' => array(
		array(
			'key' => 'field_57e1490e7eda2',
			'label' => 'Sidebar Position',
			'name' => 'sidebar_position',
			'type' => 'radio',
			'instructions' => 'Sidebar position on this page',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'choices' => array(
				'default' => 'Default',
				'left' => 'Left',
				'right' => 'Right',
				'disabled' => 'Disabled',
			),
			'allow_null' => 0,
			'other_choice' => 0,
			'default_value' => 'default',
			'layout' => 'vertical',
			'return_format' => 'value',
			'save_other_choice' => 0,
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post',
			),
		),
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'page',
			),
			array(
				'param' => 'page_template',
				'operator' => '!=',
				'value' => 'page-slider.php',
			),
			array(
				'param' => 'page_template',
				'operator' => '!=',
				'value' => 'page-projects.php',
			),
		),
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post',
			),
		),
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'post',
			),
		),
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'testimonial',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'normal',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

acf_add_local_field_group(array(
	'key' => 'group_57e808f7f0602',
	'title' => 'Testimonial',
	'fields' => array(
		array(
			'key' => 'field_57e80aebba7f8',
			'label' => 'Testimonial Subtitle',
			'name' => 'testimonial_subtitle',
			'type' => 'text',
			'instructions' => 'Set a subtitle for the person, such as position or company name (optional).',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'prepend' => '',
			'append' => '',
			'maxlength' => '',
			'readonly' => 0,
			'disabled' => 0,
		),
		array(
			'key' => 'field_5ab9258c704fd',
			'label' => 'Testimonial Headline',
			'name' => 'testimonial_headline',
			'type' => 'textarea',
			'instructions' => 'Insert testimonial headline',
			'required' => 0,
			'conditional_logic' => 0,
			'wrapper' => array(
				'width' => '',
				'class' => '',
				'id' => '',
			),
			'default_value' => '',
			'placeholder' => '',
			'maxlength' => '',
			'rows' => '',
			'new_lines' => '',
		),
	),
	'location' => array(
		array(
			array(
				'param' => 'post_type',
				'operator' => '==',
				'value' => 'testimonial',
			),
		),
	),
	'menu_order' => 0,
	'position' => 'acf_after_title',
	'style' => 'default',
	'label_placement' => 'top',
	'instruction_placement' => 'label',
	'hide_on_screen' => '',
	'active' => 1,
	'description' => '',
));

endif;